# CVS $Id: cberror3.tcl,v 1.2 1995/04/26 16:38:38 zibi Exp $
#
# This tests the error callback routines
# 

#
# This handles the error without generating another error.
proc errorCB {cbs} {
    set target [keylget cbs widget]
    set dialog [keylget cbs dialog]
    set result [keylget cbs result]
    set callback [keylget cbs callback]

    set str "Handling callback for <$target>"
    set str "$str \n  result is <$result>"
    set str "$str \n  callback is <$callback>"

    set txt [VtGetValues $dialog -userData]    
    VtSetValues $txt -value $str
}

#
# This handles an error, but generates an error of it's own
#
proc errorErrorCB {cbs} {
     echo "I'm dying...."

     # This generates an error
     continue
}

proc generateErrorCB {errStr cbs} {
     # This generates an error
     error $errStr

     # This statement isn't reached
     echo "here"
}

proc msgCB {errStr cbs} {
    set target [keylget cbs widget]
    set msg [VtMessageDialog $target.msg -message $errStr \
	     -errorCallback errorCB -okCallback "generateErrorCB inMsgDialog" ]
    VtShow $msg

    generateErrorCB msgCB
}

global txt

set app [VtOpen error]

VtSetAppValues $app -errorCallback errorCB

set dlog [VtFormDialog $app.form -errorCallback errorCB \
	  -okCallback "generateErrorCB {OK buton} " \
	  -wmCloseCallback "generateErrorCB wmCloseCallback" ]

set errTxt [VtText $dlog.txt -rightSide FORM -rows 5 -columns 40 \
	    -wordWrap -verticalScrollBar on ]


VtSetValues $dlog -userData $errTxt

set txt $errTxt

VtPushButton $dlog.but1 -label "Handle Error" -callback "generateErrorCB Handle"
VtPushButton $dlog.but3 -label "Another Dialog" -callback "msgCB TEST"

VtPushButton $dlog.but2 -label "Error with Error" \
	     -errorCallback errorErrorCB  -callback "generateErrorCB bad"

VtShow $dlog

VtMainLoop
